#!/bin/sh

if test "$#" -ne 3
then echo "./capture.sh s-speed exposure iso"
     echo "./capture.sh 10      5        10"
     exit 0
fi

CAMID=D01
ROOTD=/home/uecdcm/nikon
JPEGD=${ROOTD}/jpgs

cd ${ROOTD}

IMAGESIZE=2
gphoto2 --set-config-index imagesize=${IMAGESIZE}
C_IMAGESIZE=`printf "%02d" $IMAGESIZE`
echo -n 'Image Size    ('${C_IMAGESIZE}') > '
gphoto2 --get-config imagesize | grep Current

IMAGEQUALITY=0
gphoto2 --set-config-index imagequality=${IMAGEQUALITY}
C_IMAGEQUALITY=`printf "%02d" $IMAGEQUALITY`
echo -n 'Image Quality ('${C_IMAGEQUALITY}') > '
gphoto2 --get-config imagequality | grep Current

SHUTTERSPEED=$1
gphoto2 --set-config-index shutterspeed=${SHUTTERSPEED}
C_SHUTTERSPEED=`printf "%02d" $SHUTTERSPEED`
echo -n 'Shutter Speed ('${C_SHUTTERSPEED}') > '
gphoto2 --get-config shutterspeed | grep Current

EXPOSURECOMPENSATION=$2
gphoto2 --set-config exposurecompensation=${EXPOSURECOMPENSATION}
C_EXPOSURECOMPENSATION=`printf "%02d" $EXPOSURECOMPENSATION`
echo -n 'Exposure      ('${C_EXPOSURECOMPENSATION}') > '
gphoto2 --get-config exposurecompensation | grep Current

ISO=$3
gphoto2 --set-config-index iso=${ISO}
C_ISO=`printf "%02d" $ISO`
echo -n 'ISO Value     ('${C_ISO}') > '
gphoto2 --get-config iso | grep Current

YY0=`/bin/date "+%y"`
MO0=`/bin/date "+%m"`
DD0=`/bin/date "+%d"`
HH0=`/bin/date "+%H"`
MI0=`/bin/date "+%M"`
SS0=`/bin/date "+%S"`

FNAME=${CAMID}_20${YY0}${MO0}${DD0}${HH0}${MI0}${SS0}_S${C_SHUTTERSPEED}_E${C_EXPOSURECOMPENSATION}_I${C_ISO}.jpg
mkdir -p ${JPEGD}/20${YY0}${MO0}${DD0}

MESG1=20${YY0}${MO0}${DD0}" "${HH0}":"${MI0}":"${SS0}" JST"
MESG2="SETG: "${C_SHUTTERSPEED}_E${C_EXPOSURECOMPENSATION}_I${C_ISO}

rm -f ${ROOTD}/*_20*.jpg
gphoto2 --capture-image-and-download --filename ${FNAME}

cp ${ROOTD}/${CAMID}_20*.jpg ${JPEGD}/20${YY0}${MO0}${DD0}/
#mv ${ROOTD}/${CAMID}_20*.jpg ${ROOTD}/latest.jpg
#convert -crop 1400x1400+800+310 ${ROOTD}/${CAMID}_20*.jpg ${ROOTD}/temp.jpg
#convert -fill "#FFFFFF" +antialias -font "Arial" -gravity South -annotate +500+500 "DCAM" ${ROOTD}/temp.jpg ${ROOTD}/latest.jpg
convert -pointsize 100 -fill "#FFFFFF" +antialias -font Times-Roman -gravity South -annotate -950+50 "${MESG1}" ${ROOTD}/${CAMID}_20*.jpg ${ROOTD}/latest.jpg
scp ${ROOTD}/latest.jpg hosokawa@darndeb01.ice.uec.ac.jp:WWW/public/uecdcm/
