#!/bin/sh

# Find today
YY0=$(/bin/date +%y)
MM0=$(/bin/date +%m)
DD0=$(/bin/date +%d)
DATE=20$YY0$MM0$DD0

ROOTD=/home/uecdcm/nikon
JPEGD=${ROOTD}/jpgs/${DATE}
TEMPD=${ROOTD}/tmps_latest

rm -rf ${TEMPD}
mkdir -p ${TEMPD}

NUM=0
for FILES in ${JPEGD}/*.jpg
do NUM=$(( NUM + 1 ))
   CNT=`printf %04d ${NUM}`
   echo ${CNT} ${FILES}
   HH=`echo ${FILES} | cut -c 46-47`
   MM=`echo ${FILES} | cut -c 48-49`
   SS=`echo ${FILES} | cut -c 50-51`
   MESG=${DATE}" "${HH}":"${MM}":"${SS}" JST"
   convert -pointsize 100 -fill "#FFFFFF" +antialias -font Times-Roman -gravity South -annotate -950+100 "${MESG}" ${FILES} ${TEMPD}/${CNT}.jpg   
done

rm -rf ${ROOTD}/latest.mov
ffmpeg -r 10 -i "${TEMPD}/%04d.jpg" -vcodec mjpeg -qscale 0 ${ROOTD}/latest.mov
rm -rf ${TEMPD}

scp ${ROOTD}/latest.mov hosokawa@darndeb01.ice.uec.ac.jp:WWW/public/uecdcm/

