#!/bin/sh

# Find yesterday
YY0=$(/bin/date --date '1 day ago' +%y)
MM0=$(/bin/date --date '1 day ago' +%m)
DD0=$(/bin/date --date '1 day ago' +%d)
DATE=20$YY0$MM0$DD0

# Find 30days ago
YY3=$(/bin/date --date '30 day ago' +%y)
MM3=$(/bin/date --date '30 day ago' +%m)
DD3=$(/bin/date --date '30 day ago' +%d)
DATE3=20$YY3$MM3$DD3

ROOTD=/home/uecdcm/nikon
JPEGD=${ROOTD}/jpgs/${DATE}
MPEGD=${ROOTD}/movs
TEMPD=${ROOTD}/tmps

rm -rf ${TEMPD}
mkdir -p ${TEMPD}

NUM=0
for FILES in ${JPEGD}/*.jpg
do NUM=$(( NUM + 1 ))
   CNT=`printf %04d ${NUM}`
   echo ${CNT} ${FILES}
   HH=`echo ${FILES} | cut -c 46-47`
   MM=`echo ${FILES} | cut -c 48-49`
   SS=`echo ${FILES} | cut -c 50-51`
   MESG=${DATE}" "${HH}":"${MM}":"${SS}" JST"
   convert -pointsize 100 -fill "#FFFFFF" +antialias -font Times-Roman -gravity South -annotate -950+100 "${MESG}" ${FILES} ${ROOTD}/temp.jpg
   convert -geometry 30% ${ROOTD}/temp.jpg ${TEMPD}/${CNT}.jpg   
done

# Make MP4 movie
rm -rf ${MPEGD}/${DATE}.mp4
ffmpeg -framerate 10 -i "${TEMPD}/%04d.jpg" -vcodec libx264 -pix_fmt yuv420p -r 10 ${MPEGD}/${DATE}.mp4
rm -rf ${TEMPD}

# Send movie to UEC
cp ${MPEGD}/${DATE}.mp4 ${ROOTD}/latest.mp4
scp ${ROOTD}/latest.mp4 hosokawa@darndeb01.ice.uec.ac.jp:WWW/public/uecdcm/
scp ${MPEGD}/${DATE}.mp4 hosokawa@darndeb01.ice.uec.ac.jp:WWW/public/uecdcm/movs/

# Send data to UEC
scp -r ${JPEGD} hosokawa@darndeb01.ice.uec.ac.jp:WWW/public/uecdcm/jpgs/

# Remove old data
rm -rf ${ROOTD}/jpgs/${DATE3}
rm -rf ${ROOTD}/movs/${DATE3}.mp4
