#!/bin/sh

if test "$#" -ne 1
then echo " "
     echo "./make_movie.sh date"
     echo "./make_movie.sh 20170824"
     echo " "
exit 0
fi

DATE=$1
ROOTD=/home/uecdcm/nikon
JPEGD=${ROOTD}/jpgs/${DATE}
MPEGD=${ROOTD}/movs
TEMPD=${ROOTD}/tmps

rm -rf ${TEMPD}
mkdir -p ${TEMPD}

NUM=0
for FILES in ${JPEGD}/*.jpg
do NUM=$(( NUM + 1 ))
   CNT=`printf %04d ${NUM}`
   echo ${CNT} ${FILES}
   HH=`echo ${FILES} | cut -c 46-47`
   MM=`echo ${FILES} | cut -c 48-49`
   SS=`echo ${FILES} | cut -c 50-51`
   MESG=${DATE}" "${HH}":"${MM}":"${SS}" JST"
   convert -pointsize 100 -fill "#FFFFFF" +antialias -font Times-Roman -gravity South -annotate -950+100 "${MESG}" ${FILES} ${ROOTD}/temp.jpg
   convert -geometry 30% ${ROOTD}/temp.jpg ${TEMPD}/${CNT}.jpg
done

rm -rf ${MPEGD}/${DATE}.mp4
ffmpeg -framerate 10 -i "${TEMPD}/%04d.jpg" -vcodec libx264 -pix_fmt yuv420p -r 10 ${MPEGD}/${DATE}.mp4
rm -rf ${TEMPD}

#scp ${MPEGD}/${DATE}.mov hosokawa@darndeb01.ice.uec.ac.jp:WWW/public/uecdcm/movs/
